Package picard.analysis

# Class CollectRnaSeqMetrics

java.lang.Object
picard.cmdline.CommandLineProgram
picard.analysis.SinglePassSamProgram
picard.analysis.CollectRnaSeqMetrics

@DocumentedFeature public class CollectRnaSeqMetrics extends SinglePassSamProgram

## Field Summary

Fields
Modifier and Type
Field
Description
`File`
`CHART_OUTPUT`
`int`
`END_BIAS_BASES`
`Set<String>`
`IGNORE_SEQUENCE`
`Set<MetricAccumulationLevel>`
`METRIC_ACCUMULATION_LEVEL`
`int`
`MINIMUM_LENGTH`
`File`
`REF_FLAT`
`File`
`RIBOSOMAL_INTERVALS`
`double`
`RRNA_FRAGMENT_PERCENTAGE`
`RnaSeqMetricsCollector.StrandSpecificity`
`STRAND_SPECIFICITY`

### Fields inherited from class picard.analysis.SinglePassSamProgram

`ASSUME_SORTED, INPUT, output, OUTPUT, STOP_AFTER`

### Fields inherited from class picard.cmdline.CommandLineProgram

`COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, SYNTAX_TRANSITION_URL, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

## Constructor Summary

Constructors
Constructor
Description
`CollectRnaSeqMetrics()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`acceptRead(htsjdk.samtools.SAMRecord rec, htsjdk.samtools.reference.ReferenceSequence refSeq)`
Should be implemented by subclasses to accept SAMRecords one at a time.
`protected String[]`
`customCommandLineValidation()`
Put any custom command-line validation in an override of this method.
`protected void`
`finish()`
Should be implemented by subclasses to do one-time finalization work.
`protected void`
`setup(htsjdk.samtools.SAMFileHeader header, File samFile)`
Should be implemented by subclasses to do one-time initialization work.

### Methods inherited from class picard.analysis.SinglePassSamProgram

`doWork, getOutputArgumentCollection, makeItSo, setReferenceSequence, usesNoRefReads`

### Methods inherited from class picard.cmdline.CommandLineProgram

`checkRInstallation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### REF_FLAT

@Argument(doc="Gene annotations in refFlat form. Format described here: http://genome.ucsc.edu/goldenPath/gbdDescriptionsOld.html#RefFlat") public File REF_FLAT

### RIBOSOMAL_INTERVALS

@Argument(doc="Location of rRNA sequences in genome, in interval_list format. If not specified no bases will be identified as being ribosomal. Format described <a href=\"http://samtools.github.io/htsjdk/javadoc/htsjdk/htsjdk/samtools/util/IntervalList.html\">here</a>:", optional=true) public File RIBOSOMAL_INTERVALS

### STRAND_SPECIFICITY

@Argument(shortName="STRAND", doc="For strand-specific library prep. For unpaired reads, use FIRST_READ_TRANSCRIPTION_STRAND if the reads are expected to be on the transcription strand.") public RnaSeqMetricsCollector.StrandSpecificity STRAND_SPECIFICITY

### MINIMUM_LENGTH

@Argument(doc="When calculating coverage based values (e.g. CV of coverage) only use transcripts of this length or greater.") public int MINIMUM_LENGTH

### CHART_OUTPUT

@Argument(doc="The PDF file to write out a plot of normalized position vs. coverage.", shortName="CHART", optional=true) public File CHART_OUTPUT

### IGNORE_SEQUENCE

@Argument(doc="If a read maps to a sequence specified with this option, all the bases in the read are counted as ignored bases. These reads are not counted towards any metrics, except for the PF_BASES field.", optional=true) public Set<String> IGNORE_SEQUENCE

### RRNA_FRAGMENT_PERCENTAGE

@Argument(doc="This percentage of the length of a fragment must overlap one of the ribosomal intervals for a read or read pair to be considered rRNA.") public double RRNA_FRAGMENT_PERCENTAGE

### METRIC_ACCUMULATION_LEVEL

@Argument(shortName="LEVEL", doc="The level(s) at which to accumulate metrics. ") public Set<MetricAccumulationLevel> METRIC_ACCUMULATION_LEVEL

### END_BIAS_BASES

@Argument(doc="The distance into a transcript over which 5\' and 3\' bias is calculated.") public int END_BIAS_BASES

## Constructor Details

### CollectRnaSeqMetrics

public CollectRnaSeqMetrics()

## Method Details

### customCommandLineValidation

protected String[] customCommandLineValidation()
Description copied from class: `CommandLineProgram`
Put any custom command-line validation in an override of this method. clp is initialized at this point and can be used to print usage and access argv. Any options set by command-line parser can be validated.

Overrides:
  `customCommandLineValidation` in class `CommandLineProgram`
Returns:
  null if command line is valid. If command line is invalid, returns an array of error message to be written to the appropriate place.

### setup

protected void setup(htsjdk.samtools.SAMFileHeader header, File samFile)
Description copied from class: `SinglePassSamProgram`
Should be implemented by subclasses to do one-time initialization work.

Specified by:
  `setup` in class `SinglePassSamProgram`

### acceptRead

protected void acceptRead(htsjdk.samtools.SAMRecord rec, htsjdk.samtools.reference.ReferenceSequence refSeq)
Description copied from class: `SinglePassSamProgram`
Should be implemented by subclasses to accept SAMRecords one at a time. If the read has a reference sequence and a reference sequence file was supplied to the program it will be passed as 'ref'. Otherwise 'ref' may be null.

Specified by:
  `acceptRead` in class `SinglePassSamProgram`

### finish

protected void finish()
Description copied from class: `SinglePassSamProgram`
Should be implemented by subclasses to do one-time finalization work.

Specified by:
  `finish` in class `SinglePassSamProgram`